import 'dart:async';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nesternship_flut/data/entities/registrationbean.dart';
import 'package:nesternship_flut/data/web/requests/registration_request.dart';
import 'package:nesternship_flut/data/model/country_model.dart';
import 'package:nesternship_flut/data/model/registration.dart';
import 'package:nesternship_flut/data/model/search_criteria.dart';
import 'package:nesternship_flut/service/registration/registration_service.dart';
import 'package:nui_core/nui_core.dart';

class RegistrationBloc {
  static Registration registrationDetails = Registration();

  List<String> getCountries() {
    return ["North America", "Europe", "South America", "Africa"];
  }

  Future<RegistrationService> getRegistrationService() async {
    RegistrationService tankTimesheetService = RegistrationService();
    await tankTimesheetService.startInit();
    return tankTimesheetService;
  }

  Future<void> registerAccount() async {
    RegistrationRequest registrationRequest = RegistrationRequest();

    // registrationDetails.memberEmail = 'testing@gmail.com';
    // registrationDetails.memberName = 'erncheng';
    // registrationDetails.userId = '1';
    // registrationDetails.avatar = 'avatar1';
    // registrationDetails.dateOfBirth = DateTime.now();
    // registrationDetails.gender = 'M';
    // registrationDetails.originCountry = '1';
    // registrationDetails.nestleCountry = '1';

    final service = await getRegistrationService();
    await service.sendRegisterApi(registrationRequest);
  }

  var registrationCountryBloc = (SearchCriteria criteria) =>
      NUIListViewBloc<Country, Country>(callbackMethod: (List<Country> current,
          bool isFirst, bool append, Country cursor) async {
        final events = [
          Country(name: "North America"),
          Country(name: "Europe"),
          Country(name: "South America"),
          Country(name: "Africa"),
          Country(name: "Asia"),
          Country(name: "Malaysia"),
          Country(name: "China"),
          Country(name: "New Zealand"),
          Country(name: "Australia"),
        ];

        List<Country> filteredData = List<Country>();
        bool hasMatch = false;

        print(criteria.keyword);
        if (criteria.keyword != null && criteria.keyword != "") {
          events.forEach((element) {
            if (element.name
                .toLowerCase()
                .contains(criteria.keyword.toLowerCase())) {
              filteredData.add(element);
            }
          });

          hasMatch = true;
        } else {
          hasMatch = false;
        }

        await NUIAsync.delayForResult(Duration(seconds: 1), () => null);
        return ListResult(
            data: hasMatch == false ? events : filteredData,
            success: true,
            message: "Get events success",
            cursor: null,
            reachedEnd: true);
      });
}
