import 'package:flutter/material.dart';
import 'package:nesternship_flut/data/entities/registrationbean.dart';
import 'package:nesternship_flut/data/web/fields/registration_field.dart';

class Registration extends RegistrationField {
  String memberEmail;
  String memberName;
  String userId;
  String avatar;
  DateTime dateOfBirth;
  String gender;
  String originCountry;
  String nestleCountry;

  Registration(
      {this.memberEmail,
      this.memberName,
      this.userId,
      this.avatar,
      this.dateOfBirth,
      this.gender,
      this.originCountry,
      this.nestleCountry});

  Registration.from({RegistrationBean registrationBean}) {
    memberEmail = registrationBean.memberEmail;
    memberName = registrationBean.memberName;
    userId = registrationBean.userId;
    avatar = registrationBean.avatar;
    dateOfBirth = registrationBean.dateOfBirth;
    gender = registrationBean.gender;
    originCountry = registrationBean.originCountry;
    nestleCountry = registrationBean.nestleCountry;
  }

  RegistrationBean toBean() {
    RegistrationBean bean = RegistrationBean();
    bean.memberEmail = memberEmail;
    bean.memberName = memberName;
    bean.userId = userId;
    bean.avatar = avatar;
    bean.dateOfBirth = dateOfBirth;
    bean.gender = gender;
    bean.originCountry = originCountry;
    bean.nestleCountry = nestleCountry;
    return bean;
  }
}
