import 'package:ingdao/dataflow/control/dfquery.dart';
import 'package:ingdao/dataflow/control/dfqueryorderby.dart';
import 'package:ingdao/dataflow/entity/dfbaseentity.dart';
import 'package:ingdao/dataflow/entity/dfwebentity.dart';
import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/field/dfwebfield.dart';
import 'package:ingdao/dataflow/field/dffieldtype.dart';
import 'package:nesternship_flut/data/web/fields/base_response_field.dart';
import 'package:nesternship_flut/data/web/fields/registration_field.dart';
import 'package:nesternship_flut/data/web/api_setting.dart';
import 'package:nesternship_flut/data/web/responses/registration_response.dart';
import 'package:object_mapper/src/mapper.dart';

class BaseResponse extends DfWebEntity with BaseResponseField {
  String message;
  bool status;
  RegistrationResponse data;

  BaseResponse({String message, bool status, RegistrationResponse data})
      : super(contextPath: "null") {
    fMessage = DfWebField(
        entity: this,
        name: "message",
        fieldType: DfFieldType.text(),
        getObjectValue: () => message,
        setObjectValue: (v) => message = v,
        value: message);
    fStatus = DfWebField(
        entity: this,
        name: "status",
        fieldType: DfFieldType.boolean(),
        getObjectValue: () => status,
        setObjectValue: (v) => status = v,
        value: message);
    fData = DfWebField(
        entity: this,
        name: "data",
        fieldType: DfFieldType.custom(),
        getObjectValue: () => data,
        setObjectValue: (v) => data = v,
        value: data);
  }

  //Define what are the fields will map back the result from http response Map<String,dynamic>
  @override
  List<DfWebField> fields() {
    return [fMessage, fStatus, fData];
  }

  @override
  DfWebReqParam convertToWebReqParam(DfQuery query) {
    return null;
  }

  @override
  DfBaseEntity<DfBaseField> newInstance() {
    return BaseResponse();
  }

  @override
  DfBaseEntity<DfWebField> jsonToObject(
      DfQueryPurpose queryPurpose, Mapper map) {
    return map.toObject<BaseResponse>();
  }

  @override
  void customFieldJsonMap(Mapper map, List<DfWebField> fields) {
    for (var field in fields) {
      if (field == fData) {
        map<BaseResponse>(field.name, field.getObjectValue(),
            (v) => field.setObjectValue(v), field.getTransform());
      }
    }
  }
}
