import 'package:ingdao/dataflow/control/dfquery.dart';
import 'package:ingdao/dataflow/control/dfqueryorderby.dart';
import 'package:ingdao/dataflow/entity/dfbaseentity.dart';
import 'package:ingdao/dataflow/entity/dfwebentity.dart';
import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/field/dfwebfield.dart';
import 'package:ingdao/dataflow/field/dffieldtype.dart';
import 'package:nesternship_flut/data/web/fields/registration_field.dart';
import 'package:nesternship_flut/data/web/api_setting.dart';
import 'package:object_mapper/src/mapper.dart';

class RegistrationResponse extends DfWebEntity with RegistrationField {
  String memberEmail;

  RegistrationResponse({String memberEmail})
      : super(contextPath: "DUMMY_AS_RESPONSE_NEEDS_NO_ENDPOINT") {
    fmemberEmail = DfWebField(
        entity: this,
        name: "memberEmail",
        fieldType: DfFieldType.text(),
        getObjectValue: () => memberEmail,
        setObjectValue: (v) => memberEmail = v,
        value: memberEmail);
  }

  //Define what are the fields will map back the result from http response Map<String,dynamic>
  @override
  List<DfWebField> fields() {
    return [
      fmemberEmail,
    ];
  }

  @override
  DfWebReqParam convertToWebReqParam(DfQuery query) {
    return null;
  }

  @override
  DfBaseEntity<DfBaseField> newInstance() {
    return RegistrationResponse();
  }

  @override
  DfBaseEntity<DfWebField> jsonToObject(
      DfQueryPurpose queryPurpose, Mapper map) {
    return map.toObject<RegistrationResponse>();
  }

  @override
  void customFieldJsonMap(Mapper map, List<DfWebField> fields) {
    // TODO: implement customFieldJsonMap
  }
}
