import 'package:ingdao/dataflow/control/dfquerycriteria.dart';
import 'package:ingdao/dataflow/control/dfresponse.dart';
import 'package:ingdao/dataflow/field/dfbasefield.dart';
import 'package:ingdao/dataflow/service/dfservice.dart';
import 'package:ingdao/ingdao.dart';
import 'package:ingdao/dataflow/control/dfquery.dart';
import 'package:ingdao/dataflow/control/dfqueryentityjoin.dart';
import 'package:ingdao/dataflow/repository/dfbaserepository.dart';
import 'package:ingdao/dataflow/entity/dfbaseentity.dart';
import 'package:nesternship_flut/data/database/registration_db.dart';
import 'package:nesternship_flut/data/entities/registrationbean.dart';
import 'package:nesternship_flut/data/web/requests/registration_request.dart';
import 'package:nesternship_flut/data/model/registration.dart';
import 'package:nesternship_flut/data/web/data_factory.dart';
import 'package:nesternship_flut/data/web/fetch_entity_result.dart';
import 'package:nesternship_flut/data/web/fields/registration_field.dart';
import 'package:nesternship_flut/data/web/responses/base_response.dart';
import 'package:nesternship_flut/data/web/responses/registration_response.dart';
import 'package:nui_core/code/nui_code_util.dart';

class RegistrationService extends DfService {
  @override
  startInit() {}

  void sendRegisterApi(RegistrationRequest request) async {
    DfFactory webFactory =
        await DataFactory.instance.getManipulator(RepoType.web);

    DfBaseRepository repository = webFactory.currentRepository;

    request.memberEmail = 'erncheng@inglab.com.my';
    request.memberName = 'erncheng';
    request.userId = '3';
    request.avatar = '';
    request.dateOfBirth = '2020-01-01';
    request.gender = 'F';
    request.originCountry = 'AFG';
    request.nestleCountry = 'AFG';

    DfExtraReq extraReq = DfExtraReq();
    extraReq.entity = request;

    DfQuery query = DfQuery(
        purpose: DfQueryPurpose.ADD,
        queryFields: [],
        extraReq: extraReq,
        paging: null,
        orderBy: null,
        criteriaGroups: null,
        //tbc function
        entityJoin: DfQueryEntityJoin(entities: [request], joins: []));

    print("result try");
    List<DfResponse> respList =
        await webFactory.save([query], repository: repository);
    print("result try 2");
    BaseResponse result = respList[0].renderResultToEntity();
    print("result is $result");
    RegistrationResponse data = result.data;
    // List<DfBaseEntity> finalList;
    // DfResponse response = respList[0];
    // if (response.error == null) {
    //   finalList = response.renderResultToEntityList();
    // }

    // FetchEntityResult<DfBaseEntity> webResult = FetchEntityResult<DfBaseEntity>(
    //     entities: finalList, error: response.error);

    // FetchEntityResult<RegistrationResponse> responseData =
    //     FetchEntityResult<RegistrationResponse>();
    // responseData.error = webResult.error;
    // if (webResult.entities != null) {
    //   responseData.entities = List<RegistrationResponse>();
    //   webResult.entities.forEach((ent) {
    //     responseData.entities.add(ent as RegistrationResponse);
    //   });
    // }
    logNUI('wtf', data.memberEmail);
  }
}
