import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nesternship_flut/ui/style/app_colors.dart';
import 'package:nesternship_flut/ui/style/app_theme.dart';
import 'package:nui_core/ui/component/nui_app.dart';

class CustomCheckbox extends StatefulWidget {

  final double height;
  final double width;
  final double borderRadius;
  final double borderWidth;

  CustomCheckbox({this.height, this.width, this.borderRadius, this.borderWidth});

  @override
  _CustomCheckboxState createState() => _CustomCheckboxState();
}

class _CustomCheckboxState extends State<CustomCheckbox> {

  bool isChecked = false;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
        onTap: () {
          setState(() {
            isChecked = !isChecked;
          });
        },
        child: AnimatedContainer(
            duration: Duration(milliseconds: 800),
            curve: Curves.fastLinearToSlowEaseIn,
            height: widget.height ?? 20,
            width: widget.width ?? 20,
            decoration: BoxDecoration(
                color: isChecked ? getColor(context, accentBright) : getColor(context, transparent),
                borderRadius: BorderRadius.circular(widget.borderRadius ?? 4),
                border: Border.all(
                    color: getColor(context, textGray),
                    width: widget.borderWidth ?? 1
                )
            ),
            child:
            isChecked
                ?
            Icon(
                Icons.check,
                color: Colors.white,
                size: 16
            )
                :
            null
        )
    );
  }
}