import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nesternship_flut/data/model/country_model.dart';
import 'package:nesternship_flut/ui/style/app_theme.dart';
import 'package:nui_animation/nui_animation.dart';
import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/nui_search_text.dart';

class SearchToolbar extends StatefulWidget {
  SearchToolbar(this.searchController);
  final NUISearchTextController searchController;
  @override
  _SearchToolbarState createState() => _SearchToolbarState();
}

class _SearchToolbarState extends State<SearchToolbar> {
  NUISearchTextController controller;

  @override
  void initState() {
    super.initState();
    controller = widget.searchController ??
        NUISearchTextController(searchTrigger: (keyword) {});
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      decoration: toolbarWhiteDecoration(context),
      child: Column(
        children: [
          NUIStatusBar(),
          Container(
            height: 48,
            width: double.infinity,
            child: Padding(
              padding: EdgeInsets.only(left: 24, right: 8),
              child: NUIRow(
                mainAxisSize: MainAxisSize.max,
                crossAxisAlignment: CrossAxisAlignment.center,
                divider:
                    VerticalDivider(width: 10, color: NUIColors.NUITransparent),
                children: [
                  Expanded(
                    child: NUISearchText(
                      controller: controller,
                      hint: "Select a country",
                      searchOnChanged: true,
                      hintTextStyle: getFont(context, color: textLightGray, size: 16),
                      textStyle: getFont(context, color: textBlack, size: 16),
                    ),
                  ),
                  NUIBouncingAnimation(
                      child: Padding(
                        padding: EdgeInsets.all(10),
                        child: Icon(
                          Icons.close,
                          color: getColor(context, accentBright),
                          size: 28,
                        ),
                      ),
                      onTap: () {
                        popWithResult<Country>(context, Country());
                      })
                ],
              ),
            ),
          ),
        ],
      ),
    );
  }
}
