import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nesternship_flut/ui/style/app_theme.dart';
import 'package:nui_animation/nui_animation.dart';
import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/nui_search_text.dart';
import 'package:nui_form/nuif_form.dart';

class YellowBackgroundButton extends StatefulWidget {
  final String text;
  final Function onTap;
  final EdgeInsetsGeometry padding;

  YellowBackgroundButton({ @required this.text, this.onTap, this.padding});

  @override
  _YellowBackgroundButtonState createState() => _YellowBackgroundButtonState();
}

class _YellowBackgroundButtonState extends State<YellowBackgroundButton> {
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: widget.padding ?? EdgeInsets.only(left: 16, right: 16),
      child: NUIBouncingAnimation(
        scaleFactor: 0.3,
        onTap: (){
          widget.onTap();
        },
        child: Container(
          alignment: Alignment.center,
          height: 48,
          width: double.infinity,
          decoration: NUIBoxDecoration(
              color: getColor(context, accentBright),
              borderRadius: BorderRadius.circular(30),
              shadowRadius: 8,
              shadowOffset: Offset(0, 2),
              shadowColor: getColor(context, accentBright).withOpacity(0.6)
          ),
          child: Text(widget.text, style: getFont(context, size: 16, color: textWhite, isBold: true),),
        ),
      ),
    );
  }
}

