import 'package:flutter/cupertino.dart';
import 'package:line_awesome_flutter/line_awesome_flutter.dart';
import 'package:nesternship_flut/ui/screen/home_screen.dart';
import 'package:nesternship_flut/ui/screen_codes.dart';
import 'package:nesternship_flut/ui/style/app_theme.dart';
import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/nui_bottom_nav_pager.dart';
import 'package:nui_core/ui/component/nui_screen_widget.dart';

class MainScreen extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return NUIScreen(
      screenCode: ScreenCodes.main,
      content: (context) => NUIBottomNavPage(
        shadowOffset: Offset(0, -3),
        shadowColor: getColor(context, toolbarShadow),
        pages: [
          NUITabChildStatefulWidget(onScreenContent: HomeScreen(), backgroundContent: NUIBlankScreen()),
          NUITabChildStatefulWidget(onScreenContent: NUIBlankScreen(), backgroundContent: NUIBlankScreen()),
          NUITabChildStatefulWidget(onScreenContent: NUIBlankScreen(), backgroundContent: NUIBlankScreen()),
          NUITabChildStatefulWidget(onScreenContent: NUIBlankScreen(), backgroundContent: NUIBlankScreen())
        ],
        navItems: [
          NUIBottomNavItem(
              id: "home",
              icon: Icon(LineAwesomeIcons.home, size: 24, color: getColor(context, textLightGray)),
              activeIcon: Icon(LineAwesomeIcons.home, size: 24, color: getColor(context, accentBright)),
              label: "Home"
          ),
          NUIBottomNavItem(
              id: "search",
              icon: Icon(LineAwesomeIcons.search, size: 24, color: getColor(context, textLightGray)),
              activeIcon: Icon(LineAwesomeIcons.search, size: 24, color: getColor(context, accentBright)),
              label: "Search"
          ),
          NUIBottomNavItem(
              id: "saved",
              icon: Icon(LineAwesomeIcons.book, size: 24, color: getColor(context, textLightGray)),
              activeIcon: Icon(LineAwesomeIcons.book, size: 24, color: getColor(context, accentBright)),
              label: "Saved"
          ),
          NUIBottomNavItem(
            id: "profile",
              icon: Icon(LineAwesomeIcons.user, size: 24, color: getColor(context, textLightGray)),
              activeIcon: Icon(LineAwesomeIcons.user, size: 24, color: getColor(context, accentBright)),
            label: "Profile"
          )
        ],
        showUnselectedLabels: false,
        showSelectedLabels: false,
        animate: false,
        elevation: 10,
        backgroundColor: getColor(context, white),
        bottomNavColor: getColor(context, white),
      ),
    );
  }
}




