import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:line_awesome_flutter/line_awesome_flutter.dart';
import 'package:nesternship_flut/data/model/notification.dart';
import 'package:nesternship_flut/ui/custom/notification_toolbar.dart';
import 'package:nesternship_flut/ui/screen_codes.dart';
import 'package:nui_core/nui_core.dart';
import '../../style/app_theme.dart';

void showNotificationDetail(BuildContext context, UserNotification notification){
  push(context, NotificationDetailScreen(notification));
}

class NotificationDetailScreen extends StatefulWidget {
  NotificationDetailScreen(this.notification);
  final UserNotification notification;
  @override
  _NotificationDetailScreenState  createState() => _NotificationDetailScreenState ();
}

class  _NotificationDetailScreenState  extends State<NotificationDetailScreen> {
  @override
  Widget build(BuildContext context){
    return NUIScreen(
      overlayStyle: NUIOverlayStyle(darkStatusBarIcon: true),
      screenCode: ScreenCodes.notificationDetail,
      content: (context) => Scaffold(
        body:Container(
          color: getColor(context, white),
          alignment: Alignment.center,
          child:NUIColumn(
              mainAxisSize: MainAxisSize.max,
              crossAxisAlignment: CrossAxisAlignment.start,
              mainAxisAlignment: MainAxisAlignment.center,
            children:[
              NotificationToolbar("Welcome to Nestle!"),
              Expanded(
                child:Container(
                    height: double.infinity,
                    margin:EdgeInsets.only(left:24,right:24),
                    child: ListView(
                      padding: EdgeInsets.only(bottom:30, top: 16),
                      children: [
                        dateCalenderNotification(context, "01 Dec 2020"),
                        Divider(height: 16, color: NUIColors.NUITransparent),
                        notificationTile(context, "We'are happy to have you onboard!"),
                        Divider(height: 16, color: NUIColors.NUITransparent),
                        notificationBody(context, "Let us give you a virtual tour around the app. \n\n Curabitur a lorem cursus dui eleifend consectetur ac sed felis. Aliquam lectus sem,iaculis sit amet congue eu, varius eget magnaMorbi blandit fringilla viverra. Nulla sit ametrhoncus velit, ut luctus diam. Suspendisse attincidunt dolor. Vestibulum vitae tellusrutrum, dapibus neque in, ultrices lacus. Morbiut ex vitae est mattis elementum quis ut nisl.Nullam non lacus ex. Etiam at elit lorem.Nullam pharetra vestibulum diam a fringilla.Proin sodales laoreet neque hdashdusahduashduhauejbfa. bdhbahdbubcasbdwrbia. hdyabewbuvbusvbe.babdwbhbcuasbdubwbjcaslcpasdaw.duasbduabdauwbabcuaodbhw. hbasbdhwbucbudusbruge. hhbfabebdsivbuewf;. dnjandnnernuncunvjbfbbbuasd nanufnenfjbvbsibfubef jasndunwunnvusdneurbive niafuebfbuebrbvbiudsbjbe nsanjdhdbhbawdbuabcuabwjbvs. nvsdbvubefbobabcasbbcioaboebfew.voabsobfoubbvavboiebidsbutuewnivbisbdahsbdabdqw. dajsbdwduiwibuibuvbedbuasbwa. hdbhwghchvjbwhcjdabjbaberbasvnnckapiobbbvbhsbvaebubdnkenssthieibova iwnat to dies today and tomorrow and jvjasjbfb nfiancnanfionidsofnewinfonvewnnenvjbefwbvobasboefubvwbeogivbsaiobpaibifwvisciwhrbvsdbvpsbvoewbvbvbueravbdhbvueabvbrennvsndionvnsdovnskdvnkdsnvkldsnvkl ds v klvndsnieviiewbvubeuwobvoewbodoaspc efsdd efhi hefew cnascnbsfbejwbgbewiogbuobvubdsuvbcasbfbuewbbewbfobewbvbewbvokvbjdbagbarbgubrubvubvdbsvubdbjkdbvldvbljbavvbvbligbliebivb lvidshvihdsivhddvbldbvusfbvuavv vidnvianivnisdnviavnai vBDsuboeabdavalvblavaaerbvuavbr")
                      ],
                    )
                )

              )
            ]
          )
        )
      ),
    );
  }

  Widget dateCalenderNotification(BuildContext context, String date){
    return Container(
      child: NUIRow(
          children: [
            Icon(Icons.calendar_today, color: getColor(context, textDarkGray), size: 20,),
            SizedBox(width:19),
            Text(date, style:getFont(context, size:14, color: textGray))
          ],
        )
    );
  }

  Widget notificationTile(BuildContext context, String title){
    return Container(
        alignment: Alignment.centerLeft,
      child: Flexible(
        child: Text(title, style:getFont(context, size:24, color: textDarkGray))
        )
    );
  }

  Widget notificationBody(BuildContext context, String body){
    return Container(
      alignment: Alignment.centerLeft,
        child: Flexible(
            child: Text(body, style:getFont(context, size:16, color: textDarkGray))
        )
    );
  }
}