import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:nesternship_flut/ui/custom/yellow_background_button.dart';
import 'package:nesternship_flut/ui/style/app_theme.dart';
import 'package:nui_core/color/nui_colors.dart';
import 'package:nui_core/nui_core.dart';
import 'package:nui_core/ui/component/nui_app.dart';
import 'package:nui_core/ui/component/nui_column.dart';
import 'package:nui_core/ui/component/nui_screen_widget.dart';
import 'package:nui_core/ui/nui_navigator.dart';

import '../screen_codes.dart';
import 'login_screen.dart';

class RegistrationSuccessScreen extends StatelessWidget {
  _thankYouWidget(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(16, 0, 16, 0),
      child: Text(
        getString("thankYouContent"),
        style: getFont(context, size: 22, color: white, isBold: false),
        textAlign: TextAlign.center,
      ),
    );
  }

  _successPageContentWidget(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(16, 0, 16, 0),
      child: Text(
        getString("successPageContent"),
        style: getFont(context, size: 16, color: white, isBold: false),
        textAlign: TextAlign.center,
      ),
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Container(
        width: double.infinity,
        height: double.infinity,
        decoration: defaultGradientBackground(context),
        child: Stack(alignment: Alignment.center, children: [
          NUIColumn(
            mainAxisSize: MainAxisSize.max,
            mainAxisAlignment: MainAxisAlignment.center,
            crossAxisAlignment: CrossAxisAlignment.start,
            children: [
              Expanded(
                child: NUIColumn(
                  mainAxisSize: MainAxisSize.max,
                  mainAxisAlignment: MainAxisAlignment.center,
                  crossAxisAlignment: CrossAxisAlignment.center,
                  divider: Divider(height: 16, color: NUIColors.NUITransparent),
                  children: [
                    loadSvg("success.svg",
                        width: 64, height: 64, color: Colors.white),
                    Divider(height: 72, color: getColor(context, transparent)),
                    _thankYouWidget(context),
                    _successPageContentWidget(context),
                  ],
                ),
              ),
              YellowBackgroundButton(
                  text: getString("closeContent"),
                  onTap: () {
                    popAndPush(context, LoginScreen());
                  }),
              Divider(
                height: 88,
                color: NUIColors.NUITransparent,
              )
            ],
          ),
        ]),
      ),
    );
  }
}
